Commissions that are already paid cannot be refunded. To account for this, we
recommend setting a payout holding
period for your program
that matches your company’s refund policy.E.g. if you offer a 30-day refund policy, set your payout holding period to 30 days.If you still need to refund a commission that has already been paid, you can create a clawback instead.
Tracking refunds with the Stripe integration
Good news: If you’re using our Stripe integration, refunds are automatically tracked without any additional setup.View Stripe integration ↗

Tracking refunds manually
Alternatively, if you’re not using our Stripe integration and are tracking sales manually, here’s how you can track refunds:Pass invoiceId when tracking a sale
When you track a sale with
POST /track/sale, make sure to pass a unique invoiceId in the request that is associated with the sale.Get the commission
Then, to track a refund, find the particular commission by filtering your
commissions by the same
invoiceId
that you passed in Step 1.Update the commission status
Finally, use the
PATCH /commissions/{id} endpoint to update the commission’s status to “refunded”. This will omit the commission from any pending payouts for the partner.